{% load staticfiles %}
{% load utils %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="initial-scale=1.0, maximum-scale=1.0, user-scalable=no, width=device-width">
    <title>{% block title %}FIFA Predictions{% endblock %}</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
    <!-- Bulma Version 0.7.1-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.7.1/css/bulma.min.css"/>
    <link rel="stylesheet" href="https://unpkg.com/bulma-modal-fx/dist/css/modal-fx.min.css"/>

    <style>
        a.navbar-item.is-active {
            color: #3273dc;
        }

        p.title > img, h2 > img, p.subtitle > img, div.title > img {
            height: 1.75rem;
        }
    </style>

    {% block page_style %}{% endblock %}
</head>
<body>
<section class="hero is-fullheight is-default is-bold">
    <div class="hero-head">
        {% if request.user.is_authenticated %}
            <nav class="navbar">
                <div class="container">
                    <div class="navbar-brand">
                        <a class="navbar-item" href="/">
                            <img src="{% static 'image/FIFA-Logo-880x660.png' %}" alt="Logo" style="max-height: 4em">
                        </a>
                        <span class="navbar-burger burger" data-target="navbarMenu">
                        <span></span>
                        <span></span>
                        <span></span>
                    </span>
                    </div>
                    <div id="navbarMenu" class="navbar-menu">
                        <div class="navbar-end">
                            <a class="navbar-item {% if request.resolver_match.url_name == "home" %}is-active{% endif %}" href="{% url 'home' %}">Home</a>
                            <a class="navbar-item {% if request.resolver_match.url_name == "matches" %}is-active{% endif %}" href="{% url 'matches' %}">Next matches</a>
                            <a class="navbar-item {% if request.resolver_match.url_name == "match_results" %}is-active{% endif %}" href="{% url 'match_results' %}">Results</a>
                            <a class="navbar-item {% if request.resolver_match.url_name == "my_bets" %}is-active{% endif %}" href="{% url 'my_bets' %}">My Predictions</a>
                            <a class="navbar-item {% if request.resolver_match.url_name == "leaderboard" %}is-active{% endif %}" href="{% url 'leaderboard' %}">Leaderboard</a>
                            {% if user.is_superuser %}
                                <a class="navbar-item"  href="/admin">Admin</a></li>
                            {% endif %}

                            <a class="navbar-item" href="/logout">Logout</a></li>
                        </div>
                    </div>
                </div>
            </nav>
        {% endif %}
    </div>
    <div class="hero-body">
        <div class="container" {% block container_style %}{% endblock %}>
            {% block content %}{% endblock %}
        </div>
    </div>

    <div class="hero-foot">
        <div class="container">
            <div class="has-text-centered">
                <div>Hard-coded with &#x2764; in Bucharest</div>
                <div>For any suggestion, bug or thank you message please contact
                    <a href="https://inside.1and1.org/network/people/21490646/Andreea_Dima" target="_blank">Andreea Dima</a> or
                    <a href="https://inside.1and1.org/network/people/21470413/Alexandru_Muscalu" target="_blank">Alex Muscalu</a>
                </div>
            </div>
        </div>
    </div>
</section>
{% tz_detect %}
<script>
    document.addEventListener('DOMContentLoaded', function () {

        // Get all "navbar-burger" elements
        var $navbarBurgers = Array.prototype.slice.call(document.querySelectorAll('.navbar-burger'), 0);

        // Check if there are any navbar burgers
        if ($navbarBurgers.length > 0) {

            // Add a click event on each of them
            $navbarBurgers.forEach(function ($el) {
                $el.addEventListener('click', function () {

                    // Get the target from the "data-target" attribute
                    var target = $el.dataset.target;
                    var $target = document.getElementById(target);

                    // Toggle the class on both the "navbar-burger" and the "navbar-menu"
                    $el.classList.toggle('is-active');
                    $target.classList.toggle('is-active');

                });
            });
        }

    });
</script>
{% block scripts %}{% endblock %}
</body>
</html>